From 43e5f5663f493478a71b0183e62c0c88931bc62c Mon Sep 17 00:00:00 2001
From: "Nicolas \"Pixel\" Noble" <pixel@nobis-crew.org>
Date: Wed, 17 Jun 2015 07:28:16 +0200
Subject: [PATCH] Various Jenkins-related tweaks.

-) created a .profile at the root of the docker image - seems the new nvm script requires that.
-) installing simplejson and mako python packages, for the sanity check.
-) calling prepare_travis.sh in order to try and download precompiled packages for openssl and protobuf.
-) using the new "config" axis.
-) improved the output of prepare_travis.sh.
---
 tools/jenkins/grpc_jenkins_slave/Dockerfile | 1 +
 tools/jenkins/run_jenkins.sh                | 4 +++-
 tools/run_tests/prepare_travis.sh           | 6 +++---
 3 files changed, 7 insertions(+), 4 deletions(-)

diff --git a/tools/jenkins/grpc_jenkins_slave/Dockerfile b/tools/jenkins/grpc_jenkins_slave/Dockerfile
index c48bc0220f..b12c309e87 100644
--- a/tools/jenkins/grpc_jenkins_slave/Dockerfile
+++ b/tools/jenkins/grpc_jenkins_slave/Dockerfile
@@ -83,6 +83,7 @@ ENV NUGET mono /var/local/NuGet.exe
 # Node dependencies
 
 # Install nvm
+RUN touch .profile
 RUN curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.25.4/install.sh | bash
 RUN /bin/bash -l -c "nvm install 0.12"
 
diff --git a/tools/jenkins/run_jenkins.sh b/tools/jenkins/run_jenkins.sh
index 5e8ddb92fc..763a930dd8 100755
--- a/tools/jenkins/run_jenkins.sh
+++ b/tools/jenkins/run_jenkins.sh
@@ -56,9 +56,11 @@ then
     $FETCH_PULL_REQUEST_CMD \
     && git checkout -f $GIT_COMMIT \
     && git submodule update \
+    && pip install simplejson mako \
     && nvm use 0.12 \
     && rvm use ruby-2.1 \
-    && tools/run_tests/run_tests.py -t -l $language" || DOCKER_FAILED="true"
+    && CONFIG=$config tools/run_tests/prepare_travis.sh \
+    && CPPFLAGS=-I/tmp/prebuilt/include tools/run_tests/run_tests.py -t -c $config -l $language" || DOCKER_FAILED="true"
 
   DOCKER_CID=`cat docker.cid`
   if [ "$DOCKER_FAILED" == "" ]
diff --git a/tools/run_tests/prepare_travis.sh b/tools/run_tests/prepare_travis.sh
index 34a058f2a8..10546535e8 100755
--- a/tools/run_tests/prepare_travis.sh
+++ b/tools/run_tests/prepare_travis.sh
@@ -32,17 +32,17 @@ cd `dirname $0`/../..
 grpc_dir=`pwd`
 
 distrib=`md5sum /etc/issue | cut -f1 -d\ `
-echo "Configuring for disbribution $distrib"
+echo "Configuring for distribution $distrib"
 git submodule | while read sha path extra ; do
   cd /tmp
   name=`basename $path`
   file=$name-$sha-$CONFIG-prebuilt-$distrib.tar.gz
-  echo -n "$file ..."
+  echo -n "Looking for $file ..."
   url=http://storage.googleapis.com/grpc-prebuilt-packages/$file
   wget -q $url && (
     echo " Found."
     tar xfz $file
-  ) || true
+  ) || echo " Not found."
 done
 
 mkdir -p bins/$CONFIG/protobuf
-- 
GitLab